<html data-namespace-typo3-fluid="true" lang="en"
	  xmlns:f="https://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:shop="http://typo3.org/ns/CodingMs/Shop/ViewHelpers">
<f:layout name="Default"/>

<f:section name="Main">
	<div class="shop-basketorder-confirm-order">

		<f:flashMessages/>

		<h2>
			<f:translate key="tx_shop_label.confirm_order_headline"/>
		</h2>

		<h3 class="mt-5">
			<f:translate key="tx_shop_label.confirm_order_products_in_order"/>
		</h3>
		<table class="basket-item-list table table-striped" data-editable="0"
			   data-basket-type="{settings.basket.displayType}">
			<tr>
				<td>
					<f:translate key="tx_shop_label.loading_basket"/>
				</td>
			</tr>
		</table>

		<h3 class="mt-5">
			<f:translate key="tx_shop_label.confirm_order_personal_data"/>
		</h3>
		<table class="table table-striped">
			<tbody>
			<f:for each="{configuration.fields}" key="field" as="fieldData">

				<f:if condition="!{fieldData.hide}">
					<f:if condition="{fieldData.type} == 'input'">
						<tr>
							<td>{fieldData.label}</td>
							<td>{fieldData.value}</td>
						</tr>
					</f:if>
					<f:if condition="{fieldData.type} == 'country'">
						<tr>
							<td>{fieldData.label}</td>
							<td>{fieldData.valueString}</td>
						</tr>
					</f:if>
					<f:if condition="{fieldData.type} == 'textarea'">
						<tr>
							<td>{fieldData.label}</td>
							<td><f:format.nl2br>{fieldData.value}</f:format.nl2br></td>
						</tr>
					</f:if>
					<f:if condition="{fieldData.type} == 'checkbox'">
						<tr>
							<td>&nbsp;</td>
							<td>
								<f:if condition="{fieldData.value}">
									<f:then><input type="checkbox" value="1" disabled="disabled" checked="checked"></f:then>
									<f:else><input type="checkbox" value="1" disabled="disabled"></f:else>
								</f:if>
								<f:format.stripTags>{fieldData.label}</f:format.stripTags>
							</td>
						</tr>
					</f:if>
				</f:if>

			</f:for>
			</tbody>
		</table>


		<f:if condition="{configuration.type} == 'payPal'">
			<f:then>
				<form action="{configuration.payPalUrl}" method="post">
					<input type="hidden" name="business" value="{configuration.payPalId}">
					<input type="hidden" name="cmd" value="_xclick">
					<input type="hidden" name="item_name" value="{configuration.paymentTitle}">
					<input type="hidden" name="item_number" value="{basketOrder.uid}">
					<input type="hidden" name="amount" value="{basketOrder.priceWithTaxAsFloat}">
					<input type="hidden" name="currency_code" value="{configuration.currency}">
					<input type="hidden" name="return" value="{configuration.successUrl}">
					<input type="hidden" name="cancel_return" value="{configuration.cancelUrl}">
					<input type="hidden" name="notify_url" value="{configuration.callbackUrl}">
					<a href="#" onclick="Shop.goBackAndRefresh(); return false" class="btn btn-danger"
					   title="{f:translate(key: 'tx_shop_label.back_button_title')}">
						<f:translate key="tx_shop_label.back_button_label"/>
					</a>
					<button type="submit" class="btn btn-success"
							title="{f:translate(key: 'tx_shop_label.confirm_order_and_pay_by_pay_pal_button_title')}">
						<f:translate key="tx_shop_label.confirm_order_and_pay_by_pay_pal_button_label"/>
					</button>
				</form>
			</f:then>
			<f:else>


				<f:switch expression="{configuration.type}">

					<f:case value="request">
						<f:form additionalAttributes="{role: 'form'}" action="order" id="payment-form">
							<f:form.hidden name="type" value="{configuration.type}"/>
							<f:form.hidden name="confirmed" value="1"/>
							<a href="#" onclick="Shop.goBackAndRefresh(); return false" class="btn btn-danger"
							   title="{f:translate(key: 'tx_shop_label.back_button_title')}">
								<f:translate key="tx_shop_label.back_button_label"/>
							</a>
							<button type="submit" class="btn btn-success"
									title="{f:translate(key: 'tx_shop_label.confirm_request_button_title')}">
								<f:translate key="tx_shop_label.confirm_request_button_label"/>
							</button>
						</f:form>
					</f:case>

					<f:case value="payPalPlus">
						<script src="https://www.paypalobjects.com/webstatic/ppplus/ppplus.min.js" type="text/javascript"></script>
						<f:variable name="approvalUrl" value=""/>
						<f:for as="link" each="{configuration.payPalPlusPaymentResource.links}">
							<f:if condition="{link.rel} == 'approval_url'">
								<f:variable name="approvalUrl" value="{link.href}"/>
							</f:if>
						</f:for>
						<div id="ppplus-wrapper" data-approval-url="{approvalUrl}"
							 data-pay-pal-plus-sandbox="{configuration.sandbox}"
							 data-country-code="{configuration.fields.country.value}">
							<div id="ppplus">
							</div>
							<div class="loader-wrapper">
								<div class="loader"></div>
							</div>
						</div>
						<f:form additionalAttributes="{role: 'form'}" action="order" id="payment-form">
							<f:form.hidden name="type" value="{configuration.type}"/>
							<f:form.hidden name="confirmed" value="1"/>
							<a href="#" onclick="Shop.goBackAndRefresh(); return false" class="btn btn-danger"
							   title="{f:translate(key: 'tx_shop_label.back_button_title')}">
								<f:translate key="tx_shop_label.back_button_label"/>
							</a>
							<a id="ppp-do-checkout-button" class="btn btn-success disabled"
							   onclick="PAYPAL.apps.PPP.doCheckout()">
								<f:translate key="tx_shop_label.confirm_order_button_label"/>
							</a>
						</f:form>
					</f:case>

					<f:case value="klarna">
						<script>
							window.klarnaAsyncCallback = function () {
								// Possible time race with callback and Shop-Script initialization!
								// Remind if Klarna-Script has already triggered the callback function.
								var klarnaWrapper = document.querySelector('#klarna-wrapper');
								klarnaWrapper.setAttribute('data-klarna-async-callback', 'executed');
							};
						</script>
						<script src="https://x.klarnacdn.net/kp/lib/v1/api.js" async></script>
						<div id="klarna-wrapper"
							 data-klarna-payment-resource="{configuration.klarnaPaymentResource}"
							 data-klarna-payment-method-category="{configuration.klarnaPaymentMethodCategory}"
							 data-klarna-client-token="{payroll.client_token}"
							 data-klarna-async-callback="waiting">
							<div id="klarna-payments-container"></div>
						</div>
						<f:form additionalAttributes="{role: 'form'}" action="order" id="payment-form">
							<f:form.hidden name="type" value="{configuration.type}"/>
							<f:form.hidden name="confirmed" value="1"/>
							<f:form.hidden name="authorizationToken" id="authorization-token" value="" />
							<a href="#" onclick="Shop.goBackAndRefresh(); return false" class="btn btn-danger"
							   title="{f:translate(key: 'tx_shop_label.back_button_title')}">
								<f:translate key="tx_shop_label.back_button_label"/>
							</a>
							<a id="klarna-do-checkout-button" class="btn btn-success disabled"
							   onclick="Shop.confirmKlarna()">
								<f:translate key="tx_shop_label.confirm_order_button_label"/>
							</a>
						</f:form>
					</f:case>

					<f:case value="stripe">
						<script src="https://js.stripe.com/v3/"></script>
						<form id="payment-form">
							<div id="stripe-wrapper"
								 data-stripe-public-key="{configuration.publicKey}"
								 data-stripe-client-secret="{stripePaymentIntent.client_secret}"
								 data-stripe-return-url="{configuration.stripeReturnUrl}">
								<div id="payment-element">
									<!-- Elements will create form elements here -->
								</div>
								<div id="error-message" class="mb-5 text-danger">
									<!-- Display error message to your customers here -->
								</div>
								<div class="loader-wrapper">
									<div class="loader"></div>
								</div>
							</div>
							<a href="#" onclick="Shop.goBackAndRefresh(); return false" class="btn btn-danger"
							   title="{f:translate(key: 'tx_shop_label.back_button_title')}">
								<f:translate key="tx_shop_label.back_button_label"/>
							</a>
							<button type="submit" class="btn btn-success"
									title="{f:translate(key: 'tx_shop_label.confirm_order_button_title')}">
								<f:translate key="tx_shop_label.confirm_order_button_label"/>
							</button>
						</form>
					</f:case>

					<f:defaultCase>
						<f:form additionalAttributes="{role: 'form'}" action="order" id="payment-form">
							<f:form.hidden name="type" value="{configuration.type}"/>
							<f:form.hidden name="confirmed" value="1"/>
							<a href="#" onclick="Shop.goBackAndRefresh(); return false" class="btn btn-danger"
							   title="{f:translate(key: 'tx_shop_label.back_button_title')}">
								<f:translate key="tx_shop_label.back_button_label"/>
							</a>
							<button type="submit" class="btn btn-success"
									title="{f:translate(key: 'tx_shop_label.confirm_order_button_title')}">
								<f:translate key="tx_shop_label.confirm_order_button_label"/>
							</button>
						</f:form>
					</f:defaultCase>

				</f:switch>

			</f:else>
		</f:if>

	</div>
</f:section>
</html>
